#include <Mix/CriticalSection.h>

using namespace Mix;

CriticalSection::CriticalSection( void )
{
	::InitializeCriticalSection( &m_Sync );
}

CriticalSection::~CriticalSection( void )
{
	::DeleteCriticalSection( &m_Sync );
}

void CriticalSection::Enter( void ) const
{
	::EnterCriticalSection( &m_Sync );
}

void CriticalSection::Leave( void ) const
{
	::LeaveCriticalSection( &m_Sync );
}
